package gov.usgs.earthquake.nshmp.netcdf.www;

import io.micronaut.runtime.Micronaut;
import io.swagger.v3.oas.annotations.OpenAPIDefinition;
import io.swagger.v3.oas.annotations.info.Info;

@OpenAPIDefinition(
    info = @Info(
        title = "NetCDF Services",
        description = "### Get hazard curves from a NSHM NetCDF file\n" +
            "See the service usage for current NSHM with supported longitudes, " +
            "latitudes, site classes, and IMTS"))
public class Application {

  public static void main(String[] args) {
    Micronaut.build(args)
        .mainClass(Application.class)
        .start();
  }

}
